#!/usr/bin/perl

use proj;

@pargs = ("proj=utm",
	  "ellps=GRS80",
	  "zone=15",
	  "north",
	  "no_defs"
	 );

$pj = proj::pj_init(5, \@pargs) or die('Unable to initialize the projection.');

$in = new projUV();
$in->{u} = 490000.0;
$in->{v} = 5300000.0;

$out = proj::pj_inv($in, $pj);

print $in->{u}  ." ". $in->{v} ." => ". $proj::RAD_TO_DEG*$out->{u} ." ". $proj::RAD_TO_DEG*$out->{v} ."\n";

proj::pj_free($pj);
